| Home | Libraries | People | FAQ | More

#### strategy::transform::scale_transformer

Strategy of scale transformation in Cartesian system.

###### Description

Scale scales a geometry up or down in all its dimensions.

###### Synopsis

    template<typename CalculationType, std::size_t Dimension1, std::size_t Dimension2>
    class strategy::transform::scale_transformer
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename CalculationType |
std::size_t Dimension1 | number of dimensions to transform from
std::size_t Dimension2 | number of dimensions to transform to

###### Header

`#include <boost/geometry/strategies/transform/matrix_transformers.hpp>`